Skip to main content
PUT
Update the IntegrationTransformation for the UUID

Authorizations

Authorization
string
header
required

m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.

The authorizationCode flow controls access for human users via the m3ter Console application.

Path Parameters

orgId
string
required

UUID of the organization

id
string
required

The UUID of the entity.

Body

application/json
name
string
required
Minimum string length: 1
Example:

"m3ter Bill to Netsuite Invoice"

description
string
required
Minimum string length: 1
Example:

"Transforms a m3ter Bill into a Netsuite Invoice"

sourceSystem
string
required
Minimum string length: 1
Example:

"m3ter"

destinationSystem
string
required
Minimum string length: 1
Example:

"Netsuite"

sourceTable
string
required
Minimum string length: 1
Example:

"Bill"

destinationTable
string
required
Minimum string length: 1
Example:

"customrecord_invoice"

transformations
any
required
version
integer<int64>

The version number of the entity:

  • Create entity: Not valid for initial insertion of new entity - do not use for Create. On initial Create, version is set at 1 and listed in the response.
  • Update Entity: On Update, version is required and must match the existing version because a check is performed to ensure sequential versioning is preserved. Version is incremented by 1 and listed in the response.

Response

Return the IntegrationTransformation

id
string
required

The UUID of the entity.

version
integer<int64>

The version number:

  • Create: On initial Create to insert a new entity, the version is set at 1 in the response.
  • Update: On successful Update, the version is incremented by 1 in the response.
dtCreated
string<date-time>

The DateTime when this item was created (in ISO-8601 format).

dtLastModified
string<date-time>

The DateTime when this item was last modified (in ISO-8601 format).

createdBy
string

The ID of the user who created this item.

lastModifiedBy
string

The ID of the user who last modified this item.

name
string
Example:

"m3ter Bill to Netsuite Invoice"

description
string
Example:

"Transforms a m3ter Bill into a Netsuite Invoice"

sourceSystem
string
Example:

"m3ter"

destinationSystem
string
Example:

"Netsuite"

sourceTable
string
Example:

"Bill"

destinationTable
string
Example:

"customrecord_invoice"

transformations
any